package com.elab.core.exception;

/**
 * 检测异常标识
 *
 * @author liuhx on 2016/12/8 15:57
 * @version V1.0
 * @email liuhx@elab-plus.com
 */
public class CheckException extends RuntimeException {

    private String errorCode;

    public CheckException() {
        super();
    }

    public CheckException(String message) {
        super(message);
    }

    public CheckException(String errorCode, String message) {
        super(message);
        this.errorCode = errorCode;
    }

    public CheckException(Throwable cause) {
        super(cause);
    }

    public CheckException(String message, Throwable cause) {
        super(message, cause);
    }

    @Override
    public String getMessage() {
        return super.getMessage();
    }

    public String getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }
}
